using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace AjaxFilter
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            DateRangePicker1.ConfigureAjax(RadAjaxManager1);
        }

        protected void pbApply_Click(object sender, EventArgs e)
        {
            AccessDataSource1.FilterExpression = String.Format(
                "TransactionDate>='{0}' AND TransactionDate<='{1}'",
                DateRangePicker1.StartDate, DateRangePicker1.EndDate);
        }
    }
}
